
.notification-popup {
  position: fixed;
  right: 0;
  flex-direction: column;
  z-index: 9999;
  background-color: #f2f9ff;
}

hci-notification-dropdown {
  .notification-dropdown-menu.dropdown-menu {
    padding: 0;
    width: 305px;
    background-color: #f2f9ff;
  }
}

.notification-item-container {
  max-height: 400px;
  overflow-y: auto;
  flex-direction: column;
}

.notification-item-container .empty {
  padding: 5px;
  color: var(--grey-darkest);
}

.right {
  margin-left: auto;
  margin-right: 0;
}

.notification-item {
  padding: 10px;
  font-weight: bold;
  min-width: 300px;
  opacity: 0;
  border: gray 1px solid;
  background-color: transparent;
}

.notification-item .text {
  margin-right: 5px;
  display: flex;
  max-width: 300px;
}

.notification-item .icon {
  display: flex;
  margin-right: 8px;
}

.notification-item .btn {
  padding: 0.2rem 0.3rem;
  display: none;
}

.notification-item:hover .btn {
  display: flex;
  justify-content: center;
  margin-left: auto;
  margin-right: auto;
  min-width: 24px;
  max-width: 24px;
  min-height: 24px;
  max-height: 24px;
}

.info {
  color: var(--pure-indigo);
}

.info .btn, .info .btn-primary {
  color: var(--white-lightest);
  background-color: rgba(0, 0, 255, 0.75);
}

.warn {
  color: var(--pure-orange);
}

.warn .btn, .warn .btn-primary {
  color: var(--white-lightest);
  background-color: rgba(255, 150, 0, 0.75);
}

.error {
  color: var(--pure-orange);
}

.error .btn, .error .btn-primary {
  color: var(--white-lightest);
  background-color: rgba(255, 0, 0, 0.75);
}

.options {
  display: flex;
  flex-direction: column;
  margin-right: 0;
  margin-left: auto;
}
